
#include <stdio.h>
#include <malloc.h>
#include <memory.h>

#define MOVES_OFFSET 0xF9
#define MOVECT	12

void showUsage();

int main(int argc, char *argv[]){
	if(argc < 2){
		showUsage();
		return 0;
	}//if

	char pos[3][10] = {"High", "Med", "Low"};

	FILE *in = fopen(argv[1], "rb");
	if(in == NULL){
		printf("Error opening file...");
		return 0;
	}//if

	char *pBuff = (char*)malloc(12*1024);
	char moves[MOVECT];
	memset(pBuff, 0, 12*1024);

	fread(pBuff, sizeof(char), 12*1024, in);
	fclose(in);
	
	memcpy(moves, &pBuff[MOVES_OFFSET], MOVECT);

	printf("Attacks: \n");
	for(int i=0;i<MOVECT/2;i++){
		printf("       %d : %s\n", i+1, pos[moves[i]]);
	}//for
	printf("\n");
	printf("Blocks: \n");
	for(i=MOVECT/2;i<MOVECT;i++){
		printf("       %d : %s\n", i+1-6, pos[moves[i]]);
	}

	free(pBuff);

	return 1;
}//main

void showUsage(){
	printf("Usage: BMextract.exe <filename>\n");
}